"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const prompts_1 = require("@clack/prompts");
const terminalHelpers_1 = require("../functions/terminalHelpers");
const i18next_1 = require("i18next");
/** Handle input for Magento 2 access keys */
const handleMagentoKeys = async () => {
    const accessKey = await (0, prompts_1.password)({
        message: (0, i18next_1.t)('command.generate_store.magento.access_key')
    });
    const secretKey = await (0, prompts_1.password)({
        message: (0, i18next_1.t)('command.generate_store.magento.secret_key')
    });
    if ((0, prompts_1.isCancel)(accessKey || secretKey)) {
        (0, terminalHelpers_1.logSimpleWarningMessage)((0, i18next_1.t)('command.generate_store.message.canceled'));
        process.exit(0);
    }
    return {
        accessKey: accessKey,
        secretKey: secretKey
    };
};
exports.default = handleMagentoKeys;
//# sourceMappingURL=handleMagentoKeys.js.map